> ## Documentation Index
> Fetch the complete documentation index at: https://signatureapi-daf4ee54.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List envelopes

> Returns a paginated list of all envelopes in your account

Returns a paginated list of envelopes in the current account, sorted by creation date with the most recent envelopes first.

Use the `status` parameter to filter by envelope status and the `topic` parameter to filter by topic tag.

## Query parameters

<ParamField query="status" type="enum">
  Filter the list to envelopes with this status. Accepted values: `processing`, `in_progress`, `completed`, `failed`, and `canceled`.
</ParamField>

<ParamField query="topic" type="string">
  Filter the list to envelopes with this [topic](/docs/api/resources/envelopes/topics) tag.
</ParamField>

<ParamField query="limit" type="integer">
  The maximum number of objects to return in the response, up to 20. The default is 20.

  <Note>For certain use cases we can increase the limit. Please contact [support](mailto:support@signatureapi.com).</Note>
</ParamField>

## Returns

Returns a `200 OK` status code along with a [paginated](/docs/api/pagination) list of [envelope objects](/docs/api/resources/envelopes/object) on success, or an [error](/docs/api/errors) otherwise.

<RequestExample>
  ```json Request theme={null}
  // GET https://api.signatureapi.com/v1/envelopes
  // X-API-Key: key_test_...
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  // HTTP Status Code 200

  {
    "links": {
      "next": "https://api.signatureapi.com/v1/envelopes?cursor=seq_0thJdKRhN4&limit=20",
      "previous": null
    },
    "data": [
      {
        "id": "55072f0e-b919-4d69-89cd-e7e56af00530",
        "title": "Exploration Agreement",
        //...
      },
      {
        "id": "a4ef2b1c-d834-4a72-bc19-e7e56af00531",
        "title": "Service Contract",
        //...
      },
      {
        "id": "b8c3f901-e219-4b63-ad27-e7e56af00532",
        "title": "Non-Disclosure Agreement",
        //...
      }
    ]
  }
  ```
</ResponseExample>
